#!/usr/bin/env python
"""
_Information on  temp reco files by run__

T0Mon: this class is used in the run page [temp reco file table]
"""

from T0.DAS.Database.Oracle.Files.RepackFilesByRun import * 

class TempRecoFilesByRun(RepackFilesByRun):

   sql="""SELECT DISTINCT f.id, f.filesize, f.events, dt.name as tier, pd.name as dataset, f.lfn
            FROM  wmbs_file_details f 
            INNER JOIN  wmbs_file_dataset_path_assoc a ON (a.file_id = f.id)
            INNER JOIN  dataset_path dp ON (a.dataset_path_id = dp.id)
            INNER JOIN  primary_dataset pd ON (dp.primary_dataset = pd.id)
            INNER JOIN  data_tier dt ON (dp.data_tier = dt.id) 
            INNER JOIN  wmbs_file_runlumi_map m ON (f.id = m.fileid and m.run = %s)
            INNER JOIN  wmbs_fileset_files fsf ON (f.id = fsf.fileid)
            INNER JOIN  wmbs_fileset fs ON (fs.id = fsf.fileset) 
            WHERE 
            ((dt.name='RECO' and fs.name = 'Mergeable')  or
            (dt.name='ALCARECO' and fs.name = 'AlcaSkimmable')) 
            ORDER BY  1 DESC"""
   
   def buildQuery(self):
      self.sql=self.sql % (self.sqlRun)
      
class TempRecoFilesByRun_count(RepackFilesByRun_count):

   sql="""SELECT COUNT(DISTINCT f.id)
            FROM  wmbs_file_details f 
            INNER JOIN  wmbs_file_dataset_path_assoc a ON (a.file_id = f.id)
            INNER JOIN  dataset_path dp ON (a.dataset_path_id = dp.id)
            INNER JOIN  primary_dataset pd ON (dp.primary_dataset = pd.id)
            INNER JOIN  data_tier dt ON (dp.data_tier = dt.id) 
            INNER JOIN  wmbs_file_runlumi_map m ON (f.id = m.fileid and m.run = %s)
            INNER JOIN  wmbs_fileset_files fsf ON (f.id = fsf.fileid)
            INNER JOIN  wmbs_fileset fs ON (fs.id = fsf.fileset) 
            WHERE 
            ((dt.name='RECO' and fs.name = 'Mergeable')  or
            (dt.name='ALCARECO' and fs.name = 'AlcaSkimmable')) 
            ORDER BY  1 DESC"""
   
   def buildQuery(self):
      self.sql=self.sql % (self.sqlRun)