#!/usr/bin/env python
"""
_RepackJobsByStatus_

T0Mon: this class is used in the detail pages 
"""

from T0.DAS.Database.Oracle.Jobs.JobsByStatus import *

class RepackJobsByStatus(JobsByStatus):

   fileset = "Repack"

   sql = """SELECT wmbs_job.id AS job_id,
                   wmbs_job.state_time AS state_time,
                   streamer.run_id AS run_id,
                   stream.name AS stream,
                   COUNT(*) AS inputfiles
            FROM wmbs_job
            INNER JOIN wmbs_jobgroup ON
              wmbs_jobgroup.id = wmbs_job.jobgroup AND
              wmbs_jobgroup.subscription = (SELECT id FROM wmbs_subscription
                                            WHERE fileset = (SELECT id FROM wmbs_fileset
                                                             WHERE name = :FILESET))
            INNER JOIN wmbs_job_assoc ON
              wmbs_job_assoc.job = wmbs_job.id
            INNER JOIN streamer ON
              streamer.streamer_id = wmbs_job_assoc.fileid %s
            INNER JOIN stream ON
              stream.id = streamer.stream_id
            %s
            %s
            GROUP BY wmbs_job.id,
                     wmbs_job.state_time,
                     streamer.run_id,
                     stream.name
            ORDER BY wmbs_job.id DESC
            """

   sqlRunCheck = """AND streamer.run_id = :RUN"""

class RepackJobsByStatus_count(JobsByStatus_count):

   fileset = "Repack"

   sqlRunCheck = """INNER JOIN streamer ON
                      streamer.streamer_id = wmbs_job_assoc.fileid AND
                      streamer.run_id = :RUN
                    """
