#!/usr/bin/env python
"""
_Service class, host the infomration for handling long quary results_

Every query with uplimit/downlimit parameters is inherited from this class
All the inherited classes must have fixed sql string (and use % to fill their gaps)
"""

from WMCore.Database.DBFormatter import DBFormatter

class LongResultQuery(DBFormatter): 

  sqlPrefix=""" SELECT * FROM    \
  ( SELECT       \
       a.*,      \
      ROWNUM AS ora_rn     \
    FROM        \
      ("""
  
  sqlSuffix="""  ) a    \
    WHERE                \
      ROWNUM <= :uplimit    \
  ) WHERE              \
  ora_rn > :downlimit """
  
  def __init__(self,*args,**kwargs):
    DBFormatter.__init__(self,*args,**kwargs)
    self.sql=self.sqlPrefix+self.sql+self.sqlSuffix
    
  