#!/usr/bin/env python
"""
_Some file details of a given run_
T0Mon: This class is used to provide the most of the information of the main table of the front page
"""
from WMCore.Database.DBFormatter import DBFormatter

class RunFilesDetails(DBFormatter):
    sql= """ SELECT sub.run_id, sub.start_time, sub.end_time, sub.process, sub.version, sub.hltkey, sub.acq_era, sub.status
             FROM(
                SELECT
                r.run_id run_id,
                r.start_time start_time,
                r.end_time end_time,
                r.process process,
                (SELECT name FROM cmssw_version WHERE id=r.run_version) version,
                r.hltkey hltkey,
                r.acq_era acq_era,
                (SELECT status FROM run_status WHERE id=r.run_status) status
                FROM run r 
                WHERE r.run_id=:runid
                ORDER BY 1 DESC 
            ) sub""" 
 
    def execute(self, run, conn = None, transaction = False):
      try:
       if int(run)>0:
        runId=run
        bindVars={'runid':runId}
        
        result = self.dbi.processData(self.sql, bindVars, conn = conn,
                                      transaction = transaction)
        return self.formatDict(result)
       else: 
         raise Exception('zeroRun')
      except:
       return  {"Error" : "wrong run id"} 
    
     