#!/usr/bin/env python
"""
_RunsByRecoStartStatus_

Monitoring DAO classes for Runs in WMBS
"""
__all__ = []
__revision__ = "$Id: RunsByRecoStartStatus.py,v 1.1 2010/03/17 15:22:44 sryu Exp $"
__version__ = "$Revision: 1.1 $"

from WMCore.Database.DBFormatter import DBFormatter

class RunsByRecoStartStatus(DBFormatter):
    
    #TO: check what else is needed for return item
    sql = """SELECT run_id AS run,  run.start_time, run.reco_started, run_status.status FROM run  
             INNER JOIN run_status ON run.run_status = run_status.id 
             WHERE run.reco_started = :reco_status
             ORDER BY run_id"""
             
    def execute(self, reco_status, conn = None, transaction = False):
        """
        _execute_

        Execute the SQL for the given reco_status list and then format and return
        the result.
        """
        # reco status is 1 or 0
        bindVars = {"reco_status": reco_status}
        result = self.dbi.processData(self.sql, bindVars, conn = conn,
                                      transaction = transaction)
        
        return self.formatDict(result)