#!/usr/bin/env python
"""
_number of total [finished and not] files of the reco process _

T0Mon: % in the front page
"""
from T0.DAS.Database.Oracle.Stats.GeneralNumStat import GeneralNumStat

class NumRecoTempTotal(GeneralNumStat):
    fileset="'Reconstructable'"
    config="reco_config"
    doFlag="c.do_reco"
    sql="""SELECT  m.run as run_id,
  COUNT(DISTINCT f.id) as count
FROM wmbs_file_details f
INNER JOIN wmbs_file_runlumi_map  m ON (f.id = m.fileid)
INNER JOIN wmbs_fileset_files  fsf ON (f.id = fsf.fileid)
inner join wmbs_file_dataset_path_assoc a on(a.file_id = m.fileid)
inner join dataset_path dp on (dp.id =a.dataset_path_id)
inner join primary_dataset pd on (pd.id= dp.primary_dataset )
inner join  %s c  on ( c.primary_dataset_id= pd.id)   
WHERE
  %s =1
AND fsf.fileset =
  (SELECT id FROM  wmbs_fileset  WHERE name = %s
  ) 
  AND m.run>= :lowRunId
  AND m.run<= :highRunId
  GROUP BY  m.run 
  ORDER BY  m.run """
    
    def buildQuery(self):
     self.sql=self.sql%(self.config, self.doFlag,self.fileset)