    
#!/usr/bin/env python
"""
_number of total files of the repack process _

T0Mon: % in the front page
"""

from T0.DAS.Database.Oracle.Stats.GeneralNumStat import GeneralNumStat

class NumRepackTotal(GeneralNumStat):
    datatier="'RAW'"
    subscription="'Mergeable'"
    
    
    sql="""SELECT
  COUNT(DISTINCT f.id) as count,m.run as run_id
FROM
  wmbs_file_details f
INNER JOIN wmbs_file_dataset_path_assoc a ON (a.file_id         = f.id)
INNER JOIN dataset_path dp                ON (a.dataset_path_id = dp.id)
INNER JOIN wmbs_file_runlumi_map m        ON (f.id              = m.fileid)
INNER JOIN wmbs_fileset_files fsf         ON (f.id              = fsf.fileid)
WHERE
  dp.data_tier =
  (SELECT id FROM data_tier WHERE name = %s
  )
AND fsf.fileset =
  (SELECT id FROM wmbs_fileset WHERE name =%s 
  ) 
  AND m.run>= :lowRunId
  AND m.run<= :highRunId
GROUP BY m.run
ORDER BY m.run"""

    def buildQuery(self):
     self.sql=self.sql%(self.datatier,self.subscription)