
from WMCore.HTTPFrontEnd.WorkQueue.Services.ServiceInterface import ServiceInterface

class MonitoringWebpage(ServiceInterface):
    """
    _MonitoringWebpage_
    
    Container class for the T0 monitoring webpages.  This will store
    references to the T0 REST model and use that to render templates into
    HTML.
    """
    
    def register(self):
        
        self.model.addMethod("GET", "monitoring", self.execute)
        
        
    def execute(self, *args, **kwargs):
        """
        _execute_

        We only have one webpage, so we'll just render it here.
        """
        interval = int(kwargs.get("interval", 7200))
        return self.model.templatepage("Tier0LumiRates", interval = interval)